> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an address for a profile



## OpenAPI

````yaml /openapi.json post /api/v1/profiles/{profile_id}/addresses
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{profile_id}/addresses:
    parameters:
      - name: profile_id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Addresses
      summary: Create an address for a profile
      operationId: createProfileAddress
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/CreateAddress'
      responses:
        '201':
          description: address created
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Address'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateAddress:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              const: address
              example: address
            attributes:
              type: object
              properties:
                custom_fields:
                  type:
                    - object
                    - 'null'
                label:
                  type: string
                  example: Office Address
                external_id:
                  type:
                    - string
                    - 'null'
                  example: EXT-12345
                  description: External identifier for this address
                address_line1:
                  type:
                    - string
                    - 'null'
                  example: 789 Academic Dr
                address_line2:
                  type:
                    - string
                    - 'null'
                  example: Suite 200
                address_line3:
                  type:
                    - string
                    - 'null'
                address_level1:
                  type: string
                  example: IL
                address_level2:
                  type: string
                  example: Springfield
                address_level3:
                  type:
                    - string
                    - 'null'
                address_level4:
                  type:
                    - string
                    - 'null'
                country:
                  type:
                    - string
                    - 'null'
                  example: US
                country_name:
                  type:
                    - string
                    - 'null'
                  example: United States
                postal_code:
                  type:
                    - string
                    - 'null'
                  example: '62703'
                effective_from:
                  type: string
                  example: '2024-01-01'
                  format: date
              required:
                - label
                - address_level1
                - address_level2
                - effective_from
            relationships:
              type: object
              properties: {}
          required:
            - type
            - attributes
      required:
        - data
    Address:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: address
          example: address
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            custom_fields:
              type:
                - object
                - 'null'
            is_current:
              type: boolean
              description: True when the record is currently effective as of today.
            label:
              type: string
              example: Office Address
            external_id:
              type:
                - string
                - 'null'
              example: EXT-12345
              description: External identifier for this address
            address_line1:
              type:
                - string
                - 'null'
              example: 789 Academic Dr
            address_line2:
              type:
                - string
                - 'null'
              example: Suite 200
            address_line3:
              type:
                - string
                - 'null'
            address_level1:
              type: string
              example: IL
            address_level2:
              type: string
              example: Springfield
            address_level3:
              type:
                - string
                - 'null'
            address_level4:
              type:
                - string
                - 'null'
            country:
              type:
                - string
                - 'null'
              example: US
            country_name:
              type:
                - string
                - 'null'
              example: United States
            postal_code:
              type:
                - string
                - 'null'
              example: '62703'
            effective_from:
              type: string
              example: '2024-01-01'
              format: date
            effective_to:
              type:
                - string
                - 'null'
              format: date
        relationships:
          type: object
          properties:
            user:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: user
                      example: user
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: profile
                          example: profile
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````